extends ../_docs-template

block vars
  - var activeLink = 'svelte';
  - var title = 'Progressbar Svelte Component | Framework7 Svelte Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-svelte
  .docs-content
    .motion-docs-page-title
      h1 Progressbar Svelte Component
      script(src="/js/motion/progressbar.js")
      f7-motion-progressbar(motion)

    p Progressbar Svelte component represents <a href="../docs/progressbar.html">Progressbar</a> element.

    h2 Progressbar Components
    p There are following components included:
    ul
      li `Progressbar`

    h2 Progressbar Properties
    table.params-table.cols-3
      thead
        tr
          th Prop
          th Type
          th Description
      tbody
        tr
          th(colspan="3") &lt;Progressbar&gt; properties
        tr
          td progress
          td number
          td Determinate progress (from 0 to 100)
        tr
          td infinite
          td boolean
          td Whether progressbar is infinite or not (determinate)

    h2 Progressbar Methods
    table.methods-table
      tr
        th(colspan="2") &lt;Progressbar&gt; methods
      tr
        td .set(<span>progress</span>, <span>duration</span>)
        td Set progressbar progress


    h2 Examples
    +examplePreview('svelte', 'progressbar.svelte', 'progressbar')
